Bug 441222 - yum 'upgrades' kdepim-libs from ppc to ppc64
Summary: yum 'upgrades' kdepim-libs from ppc to ppc64
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
(Show other bugs)
Version: 9
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-04-07 08:41 UTC by David Woodhouse
Modified: 2014-01-21 23:02 UTC (History)
6 users (show)

Fixed In Version: yum-3.2.17-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-07 19:51:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
debug output (201.27 KB, text/plain)
2008-04-07 08:41 UTC, David Woodhouse
no flags Details
debug output from yum HEAD (373.69 KB, text/plain)
2008-04-08 07:48 UTC, David Woodhouse
no flags Details

Description David Woodhouse 2008-04-07 08:41:37 UTC
Installing:
 kdepim-libs             ppc64      6:3.5.9-7.fc9    00myth-rawhide    6.6 M
     replacing  kdepim.ppc 6:3.5.9-6.fc9

Adding '--exclude=kdepim-libs.ppc64' to the command line seems to make it do the
right thing.

Comment 1 David Woodhouse 2008-04-07 08:41:37 UTC
Created attachment 301483 [details]
debug output

Comment 2 David Woodhouse 2008-04-08 07:48:14 UTC
Created attachment 301611 [details]
debug output from yum HEAD

Yum from git (a5f9b2c9ae) does the same. Debug output attached.

Comment 3 David Woodhouse 2008-04-11 13:47:08 UTC
Is there any more information I can provide to help debug this?

Comment 4 Rex Dieter 2008-04-11 14:52:15 UTC
Fwiw, we're working to drop those multilib upgrade hacks from all kde 
packages(1), they caused more pain/suffering for little gain.

(1) at least that was the intention, if any still remain, that's a bug, like 
here in kdepim (fixing now).

Comment 5 Rex Dieter 2008-04-14 14:42:02 UTC
The "Obsoletes" hack we had used to help multilib upgrades for some kde*-libs 
package splits (for f8) was to add to the -libs subpkg:
Obsoletes: %name < %{version}-%{release}
Requires:  %name = %{version}-%{release}
which helped maybe a little, but induced other pain in the process, so I've 
been systematically dropping those Obsoletes (and that's what I did here).

Looking closer here, I doubt this has much (if any) direct impact in the issue 
referenced here.

Comment 6 Rex Dieter 2008-04-14 15:34:24 UTC
Also dropped from kdelibs3, the explicit:
Requires: kdnssd-avahi
pkgs that link against this, will (should!) pull it in via implicit library 
dep: libkdnssd.so.1

Comment 7 Seth Vidal 2008-04-14 20:08:19 UTC
David, 
Do you have a way I can test this situation out a bit more. I have a patch that
may or may not help this case.

Comment 8 Bug Zapper 2008-05-14 09:01:28 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 James Antill 2008-08-07 19:51:37 UTC
 I think this was fixed with the basearch change in .17


Note You need to log in before you can comment on or make changes to this bug.